
Installer - Bug #29941

PostgreSQL is installed, regardless of whether it's needed

05/27/2020 12:21 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version: 2.0.1   

Difficulty:  Fixed in Releases: 2.0.1, 2.1.0

Triaged: No Found in Releases: 2.0.0, 2.1.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/508

  

Description

The helper local_postgresql? doesn't check whether the Foreman module is actually enabled. When passing --no-enable-foreman, it

still installs PostgreSQL.

Associated revisions

Revision d38c9144 - 05/28/2020 12:42 PM - Ewoud Kohl van Wijngaarden

Fixes #29941 - Check modules are enabled

param_value() can return an answer for a disabled module. The result is

that PostgreSQL is being installed on a Foreman Proxy when it's not

needed.

History

#1 - 05/27/2020 01:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/508 added

#2 - 05/28/2020 12:42 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#3 - 05/28/2020 01:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|d38c9144600050e9ae54155ee75665b3f204c572.

#4 - 06/02/2020 09:13 AM - Tomer Brisker

- Fixed in Releases 2.0.1, 2.1.0 added

- Fixed in Releases deleted (2.2.0)
